
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android 设计模式之MVC模式 / 憋错料</title>

    <meta name="description" content="Android 设计模式之MVC模式 说到Android设计模式的MVC模式,估计很多人都是比较熟悉了,这里深入了解一下MVC到底是怎么回事,以ListView为例子讲解. 一.深入理解MVC概念 MVC即Model-View-Controller.M:逻辑模型,V:视图模型,C:控制器. MVC模式下,系统框架的类库被划分为3种:模型(Model).视图(View).控制器(Controller).模型对象负责建立数据结构和相应的行为操作处理.视图对象负责在屏幕上渲染出相应的图形信息展示给用户看.控制器对象负责截获用户的按键和屏幕">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android 设计模式之MVC模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　说到Android设计模式的MVC模式，估计很多人都是比较熟悉了，这里深入了解一下MVC到底是怎么回事，以ListView为例子讲解。</p>
<p><strong>一、<strong>深入理解</strong>MVC概念</strong></p>
<p>　　MVC即Model-View-Controller。M：逻辑模型，V：视图模型，C：控制器。</p>
<p>　　MVC模式下，系统框架的类库被划分为3种：模型（Model）、视图（View）、控制器（Controller）。模型对象负责建立数据结构和相应的行为操作处理。视图对象负责在屏幕上渲染出相应的图形信息展示给用户看。控制器对象负责截获用户的按键和屏幕触摸等事件，协调Model对象和View对象。<sup><br /></sup></p>
<p>　　用户与视图交互，视图接收并反馈用户的动作；视图把用户的请求传给相应的控制器，由控制器决定调用哪个模型，然后由模型调用相应的业务逻辑对用户请求进行加工处理，如果需要返回数据，模型会把相应的数据返回给控制器，由控制器调用相应的视图，最终由视图格式化和渲染返回的数据，对于返回的数据完全可以增加用户体验效果展现给用户。</p>
<p>　　一个模型可以有多个视图，一个视图可以有多个控制器，一个控制器也可以有多个模型。</p>
<p>（1）、模型（Model）</p>
<p>　　Model是一个应用系统的核心部分，代表了该系统实际要实现的所有功能处理。比如：在视频播放器中，模型代表一个视频数据库及播放视频的程序函数代码；在拍照应用中，模型代表一个照片数据库，及看图片时的程序函数代码。在一个电话应用中，Model代表一个电话号码簿，以及拨打电话和发送短信的程序函数代码。</p>
<p>　　Model在values目录下通过xml文件格式生成，也可以通过硬编码的方式直接Java代码生成。View和Model是通过桥梁Adapter来连接起来。</p>
<p>（2）、视图（View）</p>
<p>　　View是软件应用传送给用户的一个反馈结果。它代表软件应用中的图形展示、声音播放、触觉反馈等职责。视图的根节点是应用程序的自身窗口。比如，视频播放器中可能包含当前播放的画面，这个画面就是一个视图。另一个视图组件可能是该视频的文字标题。再一个就是一些播放按键，比如：Stop、Start、Pause等按钮。</p>
<p>　　View在layout目录下通过xml文件格式生成，用findViewById()获取；也可以通过硬编码的方式直接Java代码生成。</p>
<p>（3）、控制器（Controller）</p>
<p>　　Controller在软件应用负责对外部事件的响应，包括：键盘敲击、屏幕触摸、电话呼入等。Controller实现了一个事件队列，每一个外部事件均在事件队列中被唯一标识。框架依次将事件从队列中移出并派发出去。<sup><br /></sup></p>
<p><strong>二、MVC典型例子的实现ListView</strong></p>
<p>　　Android中最典型MVC是ListView，要显示的数据是Model，界面中的ListView是View，控制数据怎样在ListView中显示是Controller。</p>
<p><strong>（1）、通过硬编码的方式直接Java代码生成方式，这里直接在注释讲解</strong></p>
<pre>public class ArrayAdapterActivity extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		//界面中的ListView是View，这里通过硬编码的方式直接Java代码生成
		ListView listView = new ListView(this);
		// 控制数据怎样在ListView中显示是Controller
		ArrayAdapter&lt;String&gt; adapter = new ArrayAdapter&lt;String&gt;(this, android.R.layout.simple_expandable_list_item_1, getData());
		//View和Model是通过桥梁Adapter来连接起来。
		listView.setAdapter(adapter);
		setContentView(listView);
		// 点击事件，Controller负责
		listView.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView&lt;?&gt; parent, View view, int position, long id) {
				// position是从0开始的,获取点击item的内容
				Toast.makeText(ArrayAdapterActivity.this, getData().get(position), Toast.LENGTH_SHORT).show();
			}
		});
	}
	// 要显示的数据Model，通过硬编码的方式直接Java代码生成
	private List&lt;String&gt; getData() {
		List&lt;String&gt; data = new ArrayList&lt;String&gt;();
		data.add("a");
		data.add("b");
		data.add("c");
		data.add("d");
		return data;
	}
}
</pre>
<p><strong>&nbsp;（2）、视图View和模型Model取资源文件方式</strong></p>
<p>　　先在res/layout文件夹下创建文件activity_arrayadapter.xml，可以看出只包含一个ListView，即视图View</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical" &gt;
    &lt;ListView
        android:id="@+id/listview"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:drawSelectorOnTop="false" /&gt;
&lt;/LinearLayout&gt;
</pre>
<p>　　在res/values文件夹下的strings.xml添加一个字符数组，及模型Model</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;resources&gt;
    &lt;string-array name="good"&gt;
        　	&lt;item&gt;a&lt;/item&gt;
　　        	&lt;item&gt;b&lt;/item&gt;
　　        	&lt;item&gt;c&lt;/item&gt;
　　        	&lt;item&gt;d&lt;/item&gt;
    &lt;/string-array&gt;
&lt;/resources&gt;
</pre>
<p>　　Activity代码，在注释中讲解MVC模型使用</p>
<pre>public class ArrayAdapterActivity2 extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_arrayadapter);
		//界面中的ListView是View，View在layout目录下通过xml文件格式生成，用findViewById()获取
		ListView listView = (ListView) findViewById(R.id.listview);
		// 控制数据怎样在ListView中显示是Controller
		ArrayAdapter&lt;String&gt; adapter = new ArrayAdapter&lt;String&gt;(this, android.R.layout.simple_expandable_list_item_1, getData());
		//View和Model是通过桥梁Adapter来连接起来。
		listView.setAdapter(adapter);
		// 点击事件，Controller负责
		listView.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView&lt;?&gt; parent, View view, int position, long id) {
				// position是从0开始的,获取点击item的内容
				Toast.makeText(ArrayAdapterActivity2.this, getData().get(position), Toast.LENGTH_SHORT).show();
			}
		});
	}
	// 要显示的数据Model，Model在values目录下通过xml文件格式生成
	private List&lt;String&gt; getData() {
		List&lt;String&gt; data = new ArrayList&lt;String&gt;();
		Resources res =getResources();
		// 取xml文件格式的字符数组
		String[] good=res.getStringArray(R.array.good);
		for(int i=0;i&lt;good.length;i++){
			data.add(good[i]);
		}
		return data;
	}
}
</pre>
<p>　　Android的MVC模式要在项目中慢慢理解，这样才能理解透彻并活学活用。</p>
<p>　　到这里基本介绍完了Android设计模式之MVC模型，若本文对您有帮助请点&ldquo;推荐&rdquo;支持，若有什么错误请指正留言，共同探讨。</p>
<p>　　转载请附上本文链接：<a href="http://www.cnblogs.com/liqw/p/4175325.html" rel="external nofollow noreferrer">http://www.cnblogs.com/liqw/p/4175325.html</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:02:46 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android 设计模式之MVC模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ej6zD3.html" rel="bookmark">【转】 Android项目的mvc模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVC (Model-View-Controller):M是指逻辑模型,V是指视图模型,C则是控制器.一个逻辑模型M可以对于多种视图模型V,比如一批统计数据你可以分别用柱状图.饼图V来表示.一种视图模型V也可以对于多种逻辑模型M.使用MVC的目的是将M和V的实现代码分离,从而使同一个程序可以使用不同的表现形式,而C存在的目的则是确保M和V的同步,一旦M改变,V应该同步更新,这与&lt;设计模式&gt;中的观察者模式是完全一样. MVC好处:MVC把应用程序的逻辑层与界面是完全分开的,最大的好处是:界面设计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVmXOd4.html" rel="bookmark">Android设计模式&mdash;&mdash;抽象工厂模式&lpar;Abstract Factory&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二十三种设计模式分为三大类: 创建型模式,共五种:工厂方法模式.抽象工厂模式.单例模式.建造者模式.原型模式. 结构型模式,共七种:适配器模式.装饰器模式.代理模式.外观模式.桥接模式.组合模式.享元模式. 行为型模式,共十一种:策略模式.模板方法模式.观察者模式.迭代子模式.责任链模式.命令模式.备忘录模式.状态模式.访问者模式.中介者模式.解释器模式. 1 package com.example.main; 2 3 import android.app.Activity; 4 import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kwQJj0.html" rel="bookmark">技术总结--android篇&lpar;一&rpar;--MVC模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先介绍下MVC模式:MVC全名是Model View Controller,是模型(model)-视图(view)-控制器(controller)的缩写,一种软件设计典范,用一种业务逻辑.数据.界面显示分离的方法组织代码,将业务逻辑聚集到一个部件里面,在改进和个性化定制界面及用户交互的同时,不需要重新编写业务逻辑.MVC被独特的发展起来用于映射传统的输入.处理和输出功能在一个逻辑的图形化用户界面的结构中. 使用MVC模式编写代码,能使代码更加美观,更容易管理,扩展性强. 对于Android来说,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXomrG4.html" rel="bookmark">Android设计模式&mdash;&mdash;工厂方法模式&lpar;Factory Method&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二十三种设计模式分为三大类: 创建型模式,共五种:工厂方法模式.抽象工厂模式.单例模式.建造者模式.原型模式. 结构型模式,共七种:适配器模式.装饰器模式.代理模式.外观模式.桥接模式.组合模式.享元模式. 行为型模式,共十一种:策略模式.模板方法模式.观察者模式.迭代子模式.责任链模式.命令模式.备忘录模式.状态模式.访问者模式.中介者模式.解释器模式. 1 package com.example.main; 2 3 import android.app.Activity; 4 import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEjdv10.html" rel="bookmark">前端之Android入门&lpar;3&rpar; &ndash; MVC模式&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多Android的入门书籍,在前面介绍完布局后就会逐个介绍组件,然后开始编写组件使用的例子.每每到此时小伙伴们都可能会有些疑问:是否应该先啃完一本&lt;Java编程思想&gt;学点 Java 知识呢?这些组件会使用了,但如何更好组织起来呢? 其实,Android 和 iOS已经把应用层级别的东西封装得比较简单易用,也配有丰富的文档与之对应,所以倒不必担心如何使用.而实际上,我想让大家通过这个系列的文章更关注和学习下面两点,我也会在例子的选取上多涉及这些方面的知识. 编程的思想.正如学会英语,并不一定就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/949mK14.html" rel="bookmark">【设计模式】MVC模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVC 模式代表 Model-View-Controller(模型-视图-控制器) 模式.这种模式用于应用程序的分层开发. Model(模型) - 模型代表一个存取数据的对象或 JAVA POJO.它也可以带有逻辑,在数据变化时更新控制器. View(视图) - 视图代表模型包含的数据的可视化. Controller(控制器) - 控制器作用于模型和视图上.它控制数据流向模型对象,并在数据变化时更新视图.它使视图与模型分离开. 实现 我们将创建一个作为模型的 Student 对象.Student			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vzPLZ3.html" rel="bookmark">设计模式-12 MVC模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 MVC设计模式 MVC 模式代表 Model-View-Controller(模型-视图-控制器) 模式,它是一个存在于服务器 表达层的模型,它将应用分开,改变应用之间的高度耦合 MVC设计模式将应用程序分离为3个主要的方面:Model,View和Controller 1 Model Model代表了描述业务路逻辑,业务模型.数据操作.数据模型的一系列类的集合.这层也定义了数据修改和操作的业务规则. 2 View View代表了UI组件,像CSS,JQuery,html等.他只负责展示从co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Myn6vY0.html" rel="bookmark">前端之Android入门&lpar;5&rpar; &ndash; MVC模式&lpar;下&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们将 View 类单独出来并完成了设计和编写.这次我们将完成 Model 类,并通过 Controller 将两者连接起来,完成这个计算器程序. 模型(Model)就是程序中封装了数据,并定义了操作和处理这些数据的逻辑的对象.在计算器的例子中,就是处理输入的操作数和运算符,并计算返回结果.Let’s Go(注意:示例中直接使用 double 类型来处理数据,但严格来说很多语言的浮点数计算都是不精确的) 一,设计模型的接口 在程序构建之初,我们首先考虑的应该是各模块间的封装和扩展,设计好模块的接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXGk6V4.html" rel="bookmark">前端之Android入门&lpar;4&rpar; &ndash; MVC模式&lpar;中&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVC 模式的最基本概念是分层设计,把我们的代码基于 View(视图).Model(模型).Controller(控制器)进行分类封装,这样做的目的是为了清晰结构,使代码更易维护和扩展. 在上一篇文章中,我们完成了计算器的界面还原,但严格来说并不是真正的 View 类,因为它还没反映视图的逻辑.在这次文章中,我们将编写计算器程序的 View 部分,Let’s Go!(注意:这次在代码的注释中写了较多的点,所以可以多看注释部分) 一,初识 Activity Activity(活动)作为 Andro			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWAeE0.html" rel="bookmark" class="title">（转）NSNotification、delegate和KVO的区别</a>
					<div>
						1.效率肯定是delegate比nsnotification高. 2. delegate方法比notification更加直接,最典型的特征是, KVO和NSNotification的区别: 和del ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gm7Y0.html" rel="bookmark" class="title">一、进程与信号进程的创建</a>
					<div>
						进程创建 #include &lt;sys/types.h&gt; #include &lt;unistd.h&gt; pid_t fork(void); fork 调用2次,所以又2次返回值,父进程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDyweM.html" rel="bookmark" class="title">hdu 1142&lpar;迪杰斯特拉&plus;记忆化搜索&rpar;</a>
					<div>
						A Walk Through the Forest Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDZyPM.html" rel="bookmark" class="title">Python&lowbar;类型转换函数</a>
					<div>
						一.字符串表述函数 repr(obj) 或 `obj`  返回一个对象的字符串表示 str(obj)  返回对象适合可读性好的字符串表示 二.ASCII 转换函数 chr() 接受单字节整数值,返回字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Na7mw3.html" rel="bookmark" class="title">exec与match方法的区别</a>
					<div>
						http://www.cnblogs.com/xiehuiqi220/archive/2008/11/05/1327487.html var someText= &quot;web2.0 .net2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415O7o4.html" rel="bookmark" class="title">Android init进程&mdash;&mdash;属性服务</a>
					<div>
						目录 目录 概述 属性服务 属性服务初始化 创建存储空间 __system_property_area_init init_workspace 客户端进程访问属性内存区域 属性服务器的分析 启动属性服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nkyK73.html" rel="bookmark" class="title">基于模态对话框 学生管理系统</a>
					<div>
						前端: 1 &lt;!DOCTYPE html&gt; 2 &lt;html lang=&quot;en&quot;&gt; 3 &lt;head&gt; 4 &lt;meta harset=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEve2P0.html" rel="bookmark" class="title">通往奥格瑞玛的道路</a>
					<div>
						题目背景 在艾泽拉斯大陆上有一位名叫歪嘴哦的神奇术士,他是部落的中坚力量 有一天他醒来后发现自己居然到了联盟的主城暴风城 在被众多联盟的士兵攻击后,他决定逃回自己的家乡奥格瑞玛 题目描述 在艾泽拉斯, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBakrJ4.html" rel="bookmark" class="title">JavaScript学习指南之第一章Hello JavaScript！最基础的JavaScript入门</a>
					<div>
						JavaScript学习指南笔记 第一章 Hello JavaScript! JavaScript简介 JavaScript属于网络端的脚本语言. JavaScript 被数百万计的网页用来改进设计. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnJgZ0.html" rel="bookmark" class="title">基础笔记10（IO 1&period;7try-with-resource&rpar;</a>
					<div>
						1.读写的类型分为字节流和字符流,字节流一般是视频音频其他所有的类型都可以. (非文档文件使用字符流易造成未知编码(?)错误) InputStream OutputStream 抽象类 fileInp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BlLGM.html" rel="bookmark" class="title">PHP7扩展开发之字符串处理</a>
					<div>
						本文和大家分享的主要是PHP7扩展开发中字符串的处理相关知识,希望通过本文的分享能帮助大家更好的学习php. 这次,我们来看看字符串在PHP扩展里面如何处理. 示例代码如下: &lt;?phpfunc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zXLrM.html" rel="bookmark" class="title">使用java程序jxl操作Excel表格</a>
					<div>
						在实际开发中企业办公系统都会涉及到一个打印报表的功能,也许你的需求就是把web前端展示的员工信息以Excel表格形式打印出来 ,那么具体怎么操作下面我来实现一下 首先我们使用的是 java的jxl技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpaYk4.html" rel="bookmark" class="title">NOIP2013Day1T3 表示只能过一个点</a>
					<div>
						•A 国有 n 座城市,编号从 1 到 n,城市之间有 m 条双向道路.每一条道路对车辆都有重量限制,简称限重.现在有 q 辆货车在运输货物,司机们想知道每辆车在不超过车辆限重的情况下,最多能运多重的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klZ1d3.html" rel="bookmark" class="title">基于imgAreaSelect的用户图像截取</a>
					<div>
						前言:想到用户资料中一般有个图像自我截取的部分,为什么要截取呢,因为好看了.so,经过我各种百度,各种参考,终于打工搞成了,写下纪念纪念,让以后拿来就用也好. 一:想前端ui这东西,我就懒得说话了,哎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xeA873.html" rel="bookmark" class="title">linux 下ftp的安装配置</a>
					<div>
						0.安装ftp的前置条件是关掉SElinux # vi /etc/selinux/config 修改 SELINUX=&quot; disabled &quot; ,重启服务器.若相同,则跳过此步骤. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aGvoR4.html" rel="bookmark" class="title">SQL Server之 &lpar;一&rpar; 数据库简介   SQL Server环境配置   数据库基础知识</a>
					<div>
						   前言 这个是我工作两年多后,再次从最基础的SQL入门开始,认真的学一遍SQL Server,捡漏和巩固都有;因为自己刚开始学的时候,总是心烦气躁,最近换工作,发现1到2年经验,问到基础性的东西还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgOzw3.html" rel="bookmark" class="title">第一章 做好准备</a>
					<div>
						什么是连接: 等值连接是通过从两个分离的数据源中检索所有的数据,并将其合并为一个大表的方式形成. 内连接连接的是两个表的内部列. 外连接连接的是两个表的外部列. 左连接连接的是两个表的左侧列. 右连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6xBlN3.html" rel="bookmark" class="title">对象数组排序 方法</a>
					<div>
						简单数组:ss[&quot;aa&quot;,&quot;vv&quot;,&quot;se&quot;,&quot;re&quot;]; ss=ss.sort(); var rdata = Repo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6Rmb3.html" rel="bookmark" class="title">Win32API全局窗口类的注册与创建</a>
					<div>
						  Win32API全局窗口类的注册 应用程序全局窗口类的注册 typedef struct tagWNDCLASSEX { UINT      cbSize; //结构体的大小,用sizeof得出  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3raw190.html" rel="bookmark" class="title">cgo动态链接库</a>
					<div>
						用golang通过调用cgo的方式实现某些功能,有两种方式: 1. 设置LD_LIBRARY_PATH 2. //#cgo CFLAGS: -static 第二种为猜测,目前还没来得及实验,嘿嘿!!					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
